Jump to content

uncoolthreads

Members
  • Content count

    29
  • Joined

  • Last visited

1 Follower

Profile Information

  • Real Name
    Russell Marsh
  • Gender
    Male
  • Location
    Lancashire
  1. Joli I'm not averse for paying for a service - been doing it for 5 years. I run a couple of online services and use a programming company in India. It's just that I build my own websites using Joomla! and Wordpress so I thought something I can install from CPanel should be easy enough and I'm not too averse to changing a bit of code here and there but my time is too valuable to me to waste on things that should be included anyway - Product attributes for instance. I install one version and then I'm told "oh really you should install this one.." There should be one version in the core that works and won't clash with other stuff.. What shop script doesn't need product attributes? Just paid $100 (whats that worth, a mornings work?) for a complete eccommerce site based on Wordpress in the Warrior Forum - EVERYTHING is included in the price - no configuring whatsoever, every possible feature.. Easy life.. - thanks guys!
  2. I'd like to thank you and Joli for your help but I have decided to go for a different option to OSCommerce. I have spent 2 weeks configuring addons and still am nowhere near a finished result. I believe most of these addons should simply be part of the core and not require changing so many files and causing conflicts between different addons etc. I just wanted an independent online shop for my existing busy eBay business not a new career configuring this. I have spent so long on this I am neglecting my active business and that can't be a good idea. Again thanks for your help and advice, you have both been extremely helpful.
  3. no there are now no errors at all but I'm still looking at a blank page..
  4. I made the quick change in template-top just to see if it would get Order Handler to work but I'm still looking at the same blank page. phew...
  5. I looked through my addons folder and I added this code instead of the standard body tag when installing AJAX Attribute Manager which is great for adding attributes in the create product window. I'm assuming AJAX Attribute Manager won't work if I change it back to <body> (otherwise why change it?) - Jonas I know this isn't your addon and your concern is with Order Handler but is there a code fix that would allow both to work? thanks Russ
  6. ok I opened get_table.php in chrome - this time there was just one message On clicking the link on the right that said get_table.php it brought up some code and then I think it is referring to the <body onload="goOnLoad();"> ??
  7. Hi guys well I restored to previous state before CKeditor and Order Handler. Then re-installed Order Handler. There is still a blank page there as before even without CKEditor so although there may have been problems with CKEditor it seems that's not the only problem I have. :( In the Browser Console it now shows this: Don't know what any of this means..
  8. ok I think I understand John but like I said I'm no programmer :-( I have noticed the ckditor loading in places where it wasn't needed. On Monday I'll reverse all the instructions for the ckditor install and then first of all see if Order Handler works - Once I have sorted that (if I do) then I'll look for this manual install of ckditor and try that out. Phew! (so much for just trying to sell something online with a one click install from Cpanel!! ;) Thanks for your input John and also thanks to Jonas Russ My guess is these posts will continue B)
  9. Hi John, yes my catalog.php ends with those closing brackets and the end of php sign too: Above in the previous post I was just quoting the 3 lines mentioned in the error messages, 48-49-50. Is that what you meant?
  10. java script console reported: Use of getUserData() or setUserData() is deprecated. Use WeakMap or element.dataset instead. requestNotifier.js:63 SyntaxError: syntax error ckeditor.js:1 ReferenceError: CKEDITOR is not defined jquery.js:5 ReferenceError: goOnLoad is not defined get_table.php:1 thanks Russ
  11. Thanks very much for trying to help me - wow that brought up some errors and they seem to be largely related to the Discount Coupon module I installed which does actually work (when the site is in normal mode and not reporting like crazy :-)) - I thought this was a current addon - in fact pretty sure it is.. Here we go: Is it some kind of clash between the two addons? The code the first 3 lines are referring to in catalog.php are: ///kgt - discount coupons array( 'code' => FILENAME_PRODUCTS_EXPECTED, 'title' => BOX_CATALOG_PRODUCTS_EXPECTED, 'link' => tep_href_link(FILENAME_PRODUCTS_EXPECTED) ), array( 'code' => FILENAME_DISCOUNT_COUPONS, 'title' => BOX_CATALOG_DISCOUNT_COUPONS, 'link' => tep_href_link(FILENAME_DISCOUNT_COUPONS) ) //end kgt - discount coupons In fact those error messages appear whatever you click on in the OSC backend
  12. I checked into some things. First yes the PHP version is definitely 5.217. Now I have a problem in that I have another domain on that account that is stuck on Joomla! 1.526 because there are custom components I had built that would all have to changed if I were to upgrade Joomla! and that is simply too expensive to get coded. I know from the Joomla! forums that that website would definitely not work with PHP 5.4. - It's a working site that earns money. I am with HostMonster and there is no option to change the PHP to 5.3 - only 5.2 or 5.4 Anyway I went to the PHP error logs (on the same page but underneath the main error logs) and they are sorted by directory. There are no php error logs at all for the directory where this OSCommerce install is, absolutely none... I did a Ctrl+F on the page and that directory isn't there. I tried to access the /admin/get_table.php a couple of times, went back to the php_error page and still nothing at all... I'm at a loss as to what to do now.. This is still a test site so no business is being lost as yet but unless I can batch print invoices then it will be useless for my purposes. The site is for Groupon offers and the ability to be able to run off lots of invoices in one batch is crucial.. Is there another way to get around this? Thanks
  13. ok I did the install - seemed pretty straightforward enough.. Now when I go to orders I can see "Order Handler R3" menu but when I click it there's nothing on the page but a title. Is there something really wrong or do I have to enable something? As regards the PHP question - I'm with Hostmonster and their support got back to me saying "The Native MySQL driver doesn't come with PHP 5.2 nor is it supported by the same PHP Version. You would need to be running PHP 5.4 to be able to make use of it. Your PHP Version can be changed by going to php config in Cpanel" I went there and it says on the page: PHP 5.4+ Incompatible Applications Installed OSCOMMERCE 2.3.4 /home2/helpandi/public_html/xxxxx.co.uk I can change this if I wish but am a bit scared of doing in case everything breaks! I'll include a pic of what I'm seeing in the admin: Thanks for any help - I'm not a programmer and all I wanted was a shop to process orders and be able to print invoices etc etc..
  14. Yep it was the latest version of Order Handler I downloaded - I'll go through the install and see if it works ok - They haven't answered the ticket yet but I just checked in CPanel and it's now showing PHP version 5.4.24 - Yesterday it was definitely PHP Version: 5.2.17. Funny thing is though that /admin/order_handler_check.php is still showing PHP Version: 5.2.17 so I don't basically know what the hell is going on. If it is 5.4.24 then my site is working ok so you were right of course about OSCommerce and PHP4. ANYWAY - I'll post back here my results - it may help someone else hopefully :-)
  15. Having some fun with this MySQL Native driver business. I uploaded the order_handler_check.php and the messages on there were: My host live chat said: I have submitted the ticket.. Then I read in the readme file: "Requires MySQL Native Driver (Optional with this Version)" If it's optional should I wait for support to get back to me or will it all run fine without MySQL Native driver and should I carry on with the install? PHEW! Russ
×